#pragma once
#include <library/cpp/unistat/unistat.h>
#include <saas/library/daemon_base/unistat_signals/signals.h>

#include <util/generic/map.h>
#include <util/datetime/base.h>


class TSaasPushSignals : public TSaasProxyUnistatSignals {
public:
    TSaasPushSignals();

    void Init(TUnistat& t) const;

    static void BuildSignals(const TSet<TString>& services);

    static void InIncorrectState(bool value);

    static void ProcessedDoc(ui32 code, TDuration processTime, TStringBuf service);
};
